Skip to main content
POST
/
payment
/
token
/
register
cURL
curl --request POST \
  --url https://gateway.varchev.com/ipg/payment/token/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shipping": {
    "country": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postcode": "<string>",
    "street1": "<string>"
  },
  "customer": {
    "telnocc": "<string>",
    "phone": "<string>",
    "email": "<string>",
    "givenName": "<string>",
    "surname": "<string>",
    "customerId": "<string>"
  },
  "card": {
    "number": "<string>",
    "expiryMonth": "<string>",
    "expiryYear": "<string>",
    "cvv": "<string>"
  },
  "paymentBrand": "<string>",
  "paymentMode": "<string>",
  "organizationId": "<string>"
}
'
{
  "memberId": 123,
  "registrationId": "<string>",
  "paymentBrand": "<string>",
  "paymentMode": "<string>",
  "timestamp": "<string>",
  "result": {
    "code": 123,
    "description": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

shipping
object
customer
object
card
object
paymentBrand
string | null
paymentMode
string | null
organizationId
string | null

Response

Success

memberId
integer<int32>
registrationId
string | null
paymentBrand
string | null
paymentMode
string | null
timestamp
string | null
result
object